package Gtk2;

use Gtk2::Signal;

use Inline C => Config =>
  ENABLE => AUTOWRAP,
  GLOBAL_LOAD => 1,
  NAME => 'Gtk2',
  PREFIX => 'gtkperl_',
  LIBS => `pkg-config gtk+-2.0 --libs`,
  OPTIMIZE => '-g',
  INC => `pkg-config gtk+-2.0 --cflags`;

use Inline C => <<'ENDCODE';

#include <gtk/gtk.h>

void gtkperl_init(char* class)
{
  /* does not return ARGV, FIXME */
  int n;
  char** a;
  n = 1;
  a = (char**) malloc(2 * sizeof(char*));
  a[0] = "2.pl";
  a[1] = NULL;
  gtk_init(&n, &a);
}

void gtkperl_main(char* class) { gtk_main(); }
void gtkperl_quit(char* class) { gtk_main_quit(); }

ENDCODE

1;
