#!/usr/bin/perl

# This source files is
# Copyright (C) 2002, Gran Thyni and are
# licensed for use under the same terms as Perl itself.

use Gtk2;
use Gtk2::Window;
use Gtk2::Button;
use Gtk2::Label;

my $nargs = scalar(@ARGV);
my $args = [@ARGV];
#gtkperl_init($nargs,$args);
Gtk2->init();
my $window = Gtk2::Window->new(0);
my $button = Gtk2::Button->new();
my $label = Gtk2::Label->new("Hello world!");
$button->add($label);
$window->add($button);
$window->set_title("Hello");
$button->set_border_width(10);
print "Add delete_event to $window\n";
Gtk2::Signal->connect($window,"delete_event", \&delete_event_cb, undef);
print "Add clicked to $button with $label\n";
Gtk2::Signal->connect($button,"clicked", \&button_click_cb, $label);
#gtkperl_signal_connect($button,"clicked", \&button_click_cb, undef);
$window->show_all();
print "Main in ", __PACKAGE__, "\n" ;
Gtk2->main();
exit 0;

sub delete_event_cb
  {
    Gtk2->quit();
    return 0;
  }

sub button_click_cb
  {
    #my ($widget, $label) = @_;
    my ($mylabel) = @_;
    #$mylabel = $label;
    #print "$widget, $mylabel in ", __PACKAGE__, "\n" ;
    print "xlabel: $mylabel in ", __PACKAGE__, "\n";
    my $text = $mylabel->get();
    print "$mylabel is $text\n";
    my $tmp = reverse $text;
    $mylabel->set($tmp);
    print "$mylabel became $tmp\n";
  }

