package Gtk2::Button;

use Gtk2::Container;

@ISA = qw(Gtk2::Container);

use Inline C => Config =>
  ENABLE => AUTOWRAP,
  GLOBAL_LOAD => 1,
  NAME => 'Gtk2::Button',
  PREFIX => 'gtkperl_button_',
  LIBS => `pkg-config gtk+-2.0 --libs`,
  OPTIMIZE => '-g',
  INC => `pkg-config gtk+-2.0 --cflags`;

use Inline C => <<'ENDCODE';

#include <gtk/gtk.h>

/* BUTTON */

SV* gtkperl_button_new(char* class)
  {
    SV *obj_ref, *obj;
    obj_ref = newSViv(0);
    obj = newSVrv(obj_ref, class);
    {
      GtkButton* b = gtk_button_new();
      sv_setiv(obj, (IV)b);
      SvREADONLY_on(obj);
    }
    return obj_ref;
  }



ENDCODE

1;


