package Gtk2::Widget;

use Inline C => Config =>
  ENABLE => AUTOWRAP,
  GLOBAL_LOAD => 1,
  NAME => 'Gtk2::Widget',
  PREFIX => 'gtkperl_widget_',
  LIBS => `pkg-config gtk+-2.0 --libs`,
  OPTIMIZE => '-g',
  INC => `pkg-config gtk+-2.0 --cflags`;

use Inline C => <<'ENDCODE';

#include <gtk/gtk.h>

/* WIDGET */

void gtkperl_widget_show(SV* widget)
  {
    GtkWidget* w =  (GtkWidget*) SvIV(SvRV(widget));
    gtk_widget_show(w);
  }

void gtkperl_widget_show_all(SV* widget)
  {
    GtkWidget* w =  (GtkWidget*) SvIV(SvRV(widget));
    gtk_widget_show_all(w);
  }



ENDCODE

1;
